# Uses of Interface
java.sql.Connection

Packages that use Connection
Package
Description
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.
javax.sql
Provides the API for server side data source access and processing from the Java programming language.
javax.sql.rowset
Standard interfaces and base classes for JDBC `RowSet` implementations.

## Uses of Connection in java.sql

Methods in java.sql that return Connection
Modifier and Type
Method
Description
`Connection`
ConnectionBuilder.`build()`
Returns an instance of the object defined by this builder.
`Connection`
Driver.`connect(String url, Properties info)`
Attempts to make a database connection to the given URL.
`Connection`
DatabaseMetaData.`getConnection()`
Retrieves the connection that produced this metadata object.
`static Connection`
DriverManager.`getConnection(String url)`
Attempts to establish a connection to the given database URL.
`static Connection`
DriverManager.`getConnection(String url, String user, String password)`
Attempts to establish a connection to the given database URL.
`static Connection`
DriverManager.`getConnection(String url, Properties info)`
Attempts to establish a connection to the given database URL.
`Connection`
Statement.`getConnection()`
Retrieves the `Connection` object that produced this `Statement` object.

## Uses of Connection in javax.sql

Methods in javax.sql that return Connection
Modifier and Type
Method
Description
`Connection`
DataSource.`getConnection()`
Attempts to establish a connection with the data source that this `DataSource` object represents.
`Connection`
DataSource.`getConnection(String username, String password)`
Attempts to establish a connection with the data source that this `DataSource` object represents.
`Connection`
PooledConnection.`getConnection()`
Creates and returns a `Connection` object that is a handle for the physical connection that this `PooledConnection` object represents.
`Connection`
RowSetInternal.`getConnection()`
Retrieves the `Connection` object that was passed to this `RowSet` object.

## Uses of Connection in javax.sql.rowset

Methods in javax.sql.rowset with parameters of type Connection
Modifier and Type
Method
Description
`void`
CachedRowSet.`acceptChanges(Connection con)`
Propagates all row update, insert and delete changes to the data source backing this `CachedRowSet` object using the specified `Connection` object to establish a connection to the data source.
`void`
CachedRowSet.`execute(Connection conn)`
Populates this `CachedRowSet` object with data, using the given connection to produce the result set from which the data will be read.